@use '../../../global/styles/breakpoint';
@use '../../../global/styles/typography';
@use '../../../global/styles/shadow';

.digi-page-block-hero {
	display: block;
	background: var(--digi--layout-page-block-hero--background, transparent);
	padding: calc(var(--digi--responsive-grid-gutter) * 3) 0;

	&--variation-start,
	&--variation-sub {
		--digi--layout-page-block-hero--background: var(--digi--global--color--profile--apricot--base);
	}

	&--variation-section {
		--digi--layout-page-block-hero--background: var(--digi--global--color--profile--apricot--opacity50);
	}

	&--variation-section {
		--digi--layout-page-block-hero--background: var(--digi--global--color--profile--apricot--opacity50);
	}

	&--variation-process {
		--digi--layout-page-block-hero--background: var(--digi--global--color--profile--blue--opacity50);
	}

	&--background-transparent {
		--digi--layout-page-block-hero--background: transparent;
	}

	&--background-image {
		background: var(--digi--page-block-hero--background-image) center center no-repeat;
		background-size: cover;
	}
}

.digi-page-block-hero__inner {
	display: inline-flex;
	flex-direction: column;
	justify-content: center;
	align-items: flex-start;

	.digi-page-block-hero--variation-start & {
		gap: var(--digi--global--spacing--smaller);
	}

	.digi-page-block-hero--variation-section &,
	.digi-page-block-hero--variation-sub & {
		background: var(--digi--color--background--primary);
		box-shadow: shadow.$box;
		padding: var(--digi--responsive-grid-gutter);
		padding-inline-end: calc(var(--digi--responsive-grid-gutter) * 3);
	}
}

.digi-page-block-hero__heading {
	.digi-page-block-hero--variation-start & {
		background: var(--digi--color--background--inverted-1);
		color: var(--digi--color--text--inverted);
		padding: var(--digi--padding--medium) var(--digi--padding--smaller);

		::slotted([slot^='heading']) {
			margin-bottom: 0;
		}
	}
}

.digi-page-block-hero__content {
	.digi-page-block-hero--variation-start & {
		background: var(--digi--color--background--primary);
		padding: var(--digi--padding--medium) var(--digi--padding--smaller);
		min-width: 50%;

		::slotted(*) {
			@include typography.preamble;
		}
	}
}
